-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011, 2012 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

local Particles = require "engine.Particles"
getBirthDescriptor("class", "Wilder").descriptor_choices.subclass["Barbarian"] = "allow"
getBirthDescriptor("class", "Mage").descriptor_choices.subclass["Spellsword"] = "allow"

newBirthDescriptor{
	type = "subclass",
	name = "Barbarian",
	desc = {
		"These guys haaaate everything magic. They are also pretty dumb and leave a large mess everywhere they go.",
		"They use: Strength, Willpower, and Cunning",
		"#GOLD#Stat modifiers:",
		"#LIGHT_BLUE# * +6 Strength, 0 Dexterity, +1 Constitution",
		"#LIGHT_BLUE# * -8 Magic, +2 Willpower, +1 Cunning",
		"#GOLD# Life per level:#LIGHT_BLUE# +3",
	},
	power_source = {technique=true, nature=true},
	stats = { str=6, dex=0, con=0, mag=-8, wil=2, cun=2, },
	talents_types = {

		["technique/combat-training"]={true, 0.3},
		["wild-gift/harmony"]={false, 0},
		["wild-gift/antimagic"]={false, 0.2},
		["wild-gift/genetics"]={true, 0},
		["technique/barbarian"]={true, 0.3},
		["technique/gladiator"]={true, 0.3},
		["technique/executioner"]={false, 0.3},
		["cunning/thug"]={true, 0.2},

	},
	talents = {
		[ActorTalents.T_WEAPON_COMBAT] = 1,
		[ActorTalents.T_BRUTE] = 1,
		[ActorTalents.T_CLUB] = 1,
	},
	copy = {
		max_life = 128,
		resolvers.equip{ id=true,
			{type="weapon", subtype="longsword", name="iron longsword", autoreq=true, ego_chance=-1000, ego_chance=-1000},
			{type="weapon", subtype="longsword", name="iron longsword", autoreq=true, ego_chance=-1000, ego_chance=-1000},
			{type="armor", subtype="light", name="rough leather armour", autoreq=true, ego_chance=-1000},
		},
	},
	copy_add = {
		life_rating = 3,
	},
}

newBirthDescriptor{
	type = "subclass",
	name = "Spellsword",
	desc = {
		"The Spellsword is a mage who combines the flexibility of elemental magic with the skills of a warrior.",
		"In the aftermath of the Spellblaze, a small number of mages who also understood swordplay attempted to hide in plain sight.",
		"They wandered the land as sellswords, and concealed their magical knowledge as exceptional fighting skills.",
		"Thus were born the Spellswords, warrior-mages secretly passing down their knowledge from one generation to the next, until the time they could once again walk freely in the light.",
		"They can infuse elemental magic directly into their weapons through the use of mystical stances, as well as 'channeling' offensive spells through their melee attacks.",
		"Their Air and Water talents favor dual-wielding, while their Earth talents favor a sword and shield.  Finally their Fire talents favor two-handed weapons, although any weapon can be used with any of their martial skills.",
		"Their most important stats are: Strength, Dexterity and Magic",
		"#GOLD#Stat modifiers:",
		"#LIGHT_BLUE# * +3 Strength, +3 Dexterity, +0 Constitution",
		"#LIGHT_BLUE# * +3 Magic, +0 Willpower, +0 Cunning",
	},
	power_source = {technique=true, arcane=true},
	stats = { mag=3, str=3, dex=3},
	talents_types = {
		["spell/air"]={false, 0.2},
		["spell/earth"]={false, 0.2},
		["spell/fire"]={false, 0.2},
		["spell/water"]={false, 0.2},
		["spell/conveyance"]={true, 0.2},
		--["spell/divination"]={false, 0.2},
		["technique/combat-training"]={true, 0.1},
		["cunning/survival"]={false, -0.1},
		["spell/windcutter"]={true, 0},
		["spell/stoneshield"]={true, 0},
		["spell/blazebrand"]={true, 0},
		["spell/lifetide"]={true, 0},
		["technique/elemental-combat"]={true, 0},
		["technique/arcane-veteran"]={true,0},
		["technique/combat-techniques-active"]={false, 0.1},
		["technique/martial-mastery"]={false,0},
	},
	talents = {
		[ActorTalents.T_WATER_STRIKE] = 1,
		[ActorTalents.T_AIR_STRIKE] = 1,
		[ActorTalents.T_SPELLSWORD_COMBAT] = 1,
		[ActorTalents.T_WEAPON_COMBAT] = 1,
	},
	copy = {
		max_life = 100,
		resolvers.equip{ id=true,
			{type="weapon", subtype="greatsword", name="iron greatsword", autoreq=true, ego_chance=-1000, ego_chance=-1000},
			{type="armor", subtype="light", name="rough leather armour", autoreq=true, ego_chance=-1000, ego_chance=-1000},
		},
		resolvers.inventory{ id=true,
			{type="weapon", subtype="longsword", name="iron longsword", autoreq=true, ego_chance=-1000, ego_chance=-1000},
			{type="weapon", subtype="dagger", name = "iron dagger", autoreq=true, ego_chance=-1000, ego_chance=-1000},
		},
	},
	copy_add = {
		life_rating = 2,
	},
}
