newTalent{
	name = "Shank",
	type = {"cunning/thug", 1},
	mode = "passive",
	points = 5,
	require = barbcun_req1,
	on_learn = function(self, t)
		self.combat_physcrit = (self.combat_physcrit or 0) + 3
		self.combat_critical_power = (self.combat_critical_power or 0) + 5
	end,
	on_unlearn = function(self, t)
		self.combat_physcrit = (self.combat_physcrit or 0) - 3
		self.combat_critical_power = (self.combat_critical_power or 0) - 5
	end,
	info = function(self, t)
		return ([[You aim for the soft spots, increaseing chances for critical strikes.

		+%0.2f%% Critical Chance
		+%d%% Critical Damage]]):
		format(self:getTalentLevelRaw(t) * 3, self:getTalentLevelRaw(t) * 5)
	end,
}

newTalent{
	name = "Penetration",
	type = {"cunning/thug", 2},
	mode = "passive",
	points = 5,
	require = barbcun_req2,
	on_learn = function(self, t)
		self.combat_apr = self.combat_apr + 4
		self.combat_critical_power = (self.combat_critical_power or 0) + 5
	end,
	on_unlearn = function(self, t)
		self.combat_apr = self.combat_apr - 4
		self.combat_critical_power = (self.combat_critical_power or 0) - 5
	end,
	info = function(self, t)
		return ([[You learn how to get your weapons through the weak spots in armor, increasing overall damage.
		
		%d Armour Penetration
		+%d%% Critical Damage]]):
		format(self:getTalentLevelRaw(t) * 4, self:getTalentLevelRaw(t) * 5)
	end,
}

newTalent{
	name = "Street Fighter",
	type = {"cunning/thug", 3},
	require = barbcun_req3,
	mode = "passive",
	points = 5,
	getDefense = function(self, t) return (4 + self:getCun(10)) end,
	getMaximum = function(self, t) return t.getDefense(self, t) * math.ceil(self:getTalentLevel(t)) end,
	do_tact_update = function (self, t)
		local nb_foes = 0
		local act
		for i = 1, #self.fov.actors_dist do
			act = self.fov.actors_dist[i]
			if act and game.level:hasEntity(act) and self:reactionToward(act) < 0 and self:canSee(act) and act["__sqdist"] <= 2 then nb_foes = nb_foes + 1 end
		end

		local defense = nb_foes * t.getDefense(self, t)

		if defense <= t.getMaximum(self, t) then
			defense = defense
		else
			defense = t.getMaximum(self, t)
		end

		return defense
	end,
	info = function(self, t)
		local defense = t.getDefense(self, t)
		local maximum = t.getMaximum(self, t)
		return ([[Your Defense is increased by 
		+%d Defense for each adjacent enemy
		+%d Total Bonus
		
		Defense bonus scales with Cunning.]]):format(defense, maximum)
	end,
}

newTalent{
	name = "Retaliate",
	type = {"cunning/thug", 4},
	require = barbcun_req4,
	mode = "passive",
	points = 5,
	getDamage = function(self, t) return self:combatTalentWeaponDamage(t, 0.5, 0.9) end,
	info = function(self, t)
		local damage = t.getDamage(self, t) * 100
		return ([[You learn to counter your enemies attacks. 
		
		%d%% Chance to retaliate per dodged attack
		%d%% Weapon Damage

		Chance scales with Cunning.]]):
		format(self:getTalentLevel(t) * (5 + self:getCun(5, true)), damage)
	end,
}
