newTalent{
	name = "Natural Body",
	type = {"wild-gift/genetics", 1},
	mode = "passive",
	require = barbgift_req1,
	points = 5,
	on_learn = function(self, t)
		self.inc_stats[self.STAT_STR] = self.inc_stats[self.STAT_STR] + 2
		self:onStatChange(self.STAT_STR, 2)
		self.inc_stats[self.STAT_CUN] = self.inc_stats[self.STAT_CUN] + 2
		self:onStatChange(self.STAT_CUN, 2)
		self.resists[DamageType.NATURE] = (self.resists[DamageType.NATURE] or 0) + 10
	end,
	on_unlearn = function(self, t)
		self.inc_stats[self.STAT_STR] = self.inc_stats[self.STAT_STR] - 2
		self:onStatChange(self.STAT_STR, -2)
		self.inc_stats[self.STAT_CUN] = self.inc_stats[self.STAT_CUN] - 2
		self:onStatChange(self.STAT_CUN, -2)
		self.resists[DamageType.NATURE] = (self.resists[DamageType.NATURE] or 0) - 10

	end,
	info = function(self, t)
		return ([[Your strength and reflexes are growing in skill, as is your tolerance to natural damages.
		
		+%d Strength and Cunning
		
		+%d%% Nature Resistance]]):
		format(2 * self:getTalentLevelRaw(t), self:getTalentLevelRaw(t) * 10)
	end,
}

newTalent{
	name = "Natural Focus",
	type = {"wild-gift/genetics", 2},
	mode = "passive",
	points = 5,
	require = barbgift_req2,
	on_learn = function(self, t)
		self:attr("confusion_immune", 0.10)
		self:attr("stun_immune", 0.10)
		self.combat_mentalresist = self.combat_mentalresist + 3
		self.sight = self.sight + 1
	end,
	on_unlearn = function(self, t)
		self:attr("confusion_immune", - 0.10)
		self:attr("stun_immune", - 0.10)
		self.combat_mentalresist = self.combat_mentalresist - 3
		self.sight = self.sight - 1
	end,
	info = function(self, t)
		return ([[Your mental awareness increases and your reaction time decreases as your eyes become more accustomed to the dark. You avoid the most dangerous threats more efficiently.
		
		+%d%% Confusion Immunity
		+%d%% Stun Immunity
		
		+%d Mental Save
		
		+%d Vision Radius ]]):format(self:getTalentLevelRaw(t) * 10, self:getTalentLevelRaw(t) * 10, self:getTalentLevelRaw(t) * 3, self:getTalentLevelRaw(t))
	end,
}

newTalent{
	name = "Natural Resistance",
	type = {"wild-gift/genetics", 3},
	require = barbgift_req2,
	points = 5,
	mode = "passive",
	on_learn = function(self, t)
		self:attr("disease_immune", 0.1)
		self.resists[DamageType.BLIGHT] = (self.resists[DamageType.BLIGHT] or 0) + 6
		self.resists[DamageType.FIRE] = (self.resists[DamageType.FIRE] or 0) + 4
	end,
	on_unlearn = function(self, t)
		self:attr("disease_immune", -0.1)
		self.resists[DamageType.BLIGHT] = (self.resists[DamageType.BLIGHT] or 0) - 6
		self.resists[DamageType.FIRE] = (self.resists[DamageType.FIRE] or 0) - 4
	end,
	info = function(self, t)
		return ([[Your immune system works overtime trying to negate the Spellblaze.
		
		+%d%% Disease Immunity
		+%d%% Blight Resistance 
		+%d%% Fire Resistance]]):
		format(self:getTalentLevelRaw(t) * 10, self:getTalentLevelRaw(t) * 6, self:getTalentLevelRaw(t) * 4)
	end,
}

newTalent{
	name = "Natural Speed",
	type = {"wild-gift/genetics", 4},
	mode = "passive",
	points = 5,
	require = barbgift_req5,
	on_learn = function(self, t)
		self.movement_speed = self.movement_speed + 0.03
		self.talent_cd_reduction[Talents.T_CHARGE] = (self.talent_cd_reduction[Talents.T_CHARGE] or 0) + 1
		self.talent_cd_reduction[Talents.T_BUTCHER] = (self.talent_cd_reduction[Talents.T_BUTCHER] or 0) + 1
		self.talent_cd_reduction[Talents.T_DICE] = (self.talent_cd_reduction[Talents.T_DICE] or 0) + 1
		self.talent_cd_reduction[Talents.T_BLEND] = (self.talent_cd_reduction[Talents.T_BLEND] or 0) + 1
	end,
	on_unlearn = function(self, t)
		self.movement_speed = self.movement_speed - 0.03
		self.talent_cd_reduction[Talents.T_CHARGE] = (self.talent_cd_reduction[Talents.T_CHARGE] or 0) - 1
		self.talent_cd_reduction[Talents.T_BUTCHER] = (self.talent_cd_reduction[Talents.T_BUTCHER] or 0) - 1
		self.talent_cd_reduction[Talents.T_DICE] = (self.talent_cd_reduction[Talents.T_DICE] or 0) - 1
		self.talent_cd_reduction[Talents.T_BLEND] = (self.talent_cd_reduction[Talents.T_BLEND] or 0) - 1
	end,
	info = function(self, t)
		return ([[Your movements have evolved to the point of near perfection.
		
		+%d%% Movement Speed
		
		-%d cooldown for Charge, Butcher, Dice, and Blend.]]):
		format(self:getTalentLevelRaw(t) * 3, self:getTalentLevelRaw(t))
	end,
}