-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

-- Arcane Blade spells
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="spell/elemental-stance", name = "elemental stance", description = "Elemental stances which work with magical combat." }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="spell/lifetide", name = "lifetide", description = "Elemental Water magic mixed with physical combat prowess." }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="spell/windcutter", name = "windcutter", description = "Elemental Air magic mixed with physical combat prowess." }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="spell/stoneshield", name = "stoneshield", description = "Elemental Earth magic mixed with physical combat prowess." }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="spell/blazebrand", name = "blazebrand", description = "Elemental Fire magic mixed with physical combat prowess." }

-- Generic requires for spells based on talent level
spells_req1 = {
	stat = { mag=function(level) return 12 + (level-1) * 2 end },
	level = function(level) return 0 + (level-1)  end,
}
spells_req2 = {
	stat = { mag=function(level) return 20 + (level-1) * 2 end },
	level = function(level) return 4 + (level-1)  end,
}
spells_req3 = {
	stat = { mag=function(level) return 28 + (level-1) * 2 end },
	level = function(level) return 8 + (level-1)  end,
}
spells_req4 = {
	stat = { mag=function(level) return 36 + (level-1) * 2 end },
	level = function(level) return 12 + (level-1)  end,
}
spells_req5 = {
	stat = { mag=function(level) return 44 + (level-1) * 2 end },
	level = function(level) return 16 + (level-1)  end,
}
spells_req_high1 = {
	stat = { mag=function(level) return 22 + (level-1) * 2 end },
	level = function(level) return 10 + (level-1)  end,
}
spells_req_high2 = {
	stat = { mag=function(level) return 30 + (level-1) * 2 end },
	level = function(level) return 14 + (level-1)  end,
}
spells_req_high3 = {
	stat = { mag=function(level) return 38 + (level-1) * 2 end },
	level = function(level) return 18 + (level-1)  end,
}
spells_req_high4 = {
	stat = { mag=function(level) return 46 + (level-1) * 2 end },
	level = function(level) return 22 + (level-1)  end,
}
spells_req_high5 = {
	stat = { mag=function(level) return 54 + (level-1) * 2 end },
	level = function(level) return 26 + (level-1)  end,
}

-------------------------------------------

load("/data-classpack/talents/spells/lifetide.lua")
load("/data-classpack/talents/spells/windcutter.lua")
load("/data-classpack/talents/spells/stoneshield.lua")
load("/data-classpack/talents/spells/blazebrand.lua")
