-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

local Stats = require "engine.interface.ActorStats"
local Particles = require "engine.Particles"
local Entity = require "engine.Entity"
local Chat = require "engine.Chat"
local Map = require "engine.Map"
local Level = require "engine.Level"

local _M = loadPrevious(...)

newEffect{
	name = "MARTIAL_MAGIC", image = "talents/martial_magic.png",
	desc = "Martial Magic",
	long_desc = function(self, eff) return ("The target is sustaining its magic through mystical martial forms.  Is can use stamina and mana interchangably."):format(eff.power) end,
	type = "physical",
	subtype = { tactic = true},
	status = "beneficial",
	parameters = { power=10 },
	on_gain = function(self, err) return "#Target# begins using a mystic martial form." end,
	on_lose = function(self, err) return "#Target# stops using a mystic martial form." end,
	activate = function(self, eff)
	end,
	deactivate = function(self, eff)
	end,
}

newEffect{
	name = "MASTER_DEFLECTION", image = "talents/maser_deflection.png",
	desc = "Master Deflection",
	long_desc = function(self, eff) return ("The target is using it accuracy to deflect ranged attacks and reflectable spells."):format(eff.power) end,
	type = "physical",
	subtype = { tactic = true},
	status = "beneficial",
	parameters = { power=10 },
	on_gain = function(self, err) return "#Target# readies their weapon to deflect ranged attacks." end,
	on_lose = function(self, err) return "#Target#'s weapon is no longer defending against ranged attacks." end,
	activate = function(self, eff)
	end,
	deactivate = function(self, eff)
	end,
}
